<?php
/*
Plugin Name: flg
Plugin URI: http://www.allsoft.fr
Description: Autmatically create post about software from logicielsgratuits.org
Version: 1
Author: Hilflo
Author URI: http://www.allsoft.fr/
*/
function flg_admin() { 
    include('create_post.php');  
}
 
function flg_admin_actions() {  
    add_options_page("Fetch lg", "Fetch lg", 1, "Createarticle", "flg_admin");  
}  
add_action('admin_menu', 'flg_admin_actions'); 

add_action( 'wp_enqueue_scripts', 'flg_stylesheet' );

function flg_stylesheet() {
    wp_register_style( 'flg', plugins_url('style.css', __FILE__) );
    wp_enqueue_style( 'flg' );
}

function flg_textdomain() {
	load_plugin_textdomain('flg', 'wp-content/plugins/flg/languages');
}
add_action('init', 'flg_textdomain');

function flg_category_parents($id, $link = false,$separator = ',',$nicename = false,$visited = array()) {
  $chain = '';$parent = &get_category($id);
    if (is_wp_error($parent))return $parent;
    if ($nicename)$name = $parent->name;
    else $name = $parent->cat_name;
    if ($parent->parent && ($parent->parent != $parent->term_id ) && !in_array($parent->parent, $visited)) {
        $visited[] = $parent->parent;$chain .= PAD_article_category_parents( $parent->parent, $link, $separator, $nicename, $visited );}
	$chain .= $parent->term_id  . $separator;
    return $chain;
}

function show_flg_content($id) {
global $post;
    if (get_post_meta($id,'flg_is_software',true)) {
     ?>
	 <div class="clearboth"></div><h2><?php echo _e('Details','flg'); ?></h2>
	<?php echo _e('Version','flg'); ?> : <?php echo get_post_meta($id,'flg_version',true); ?>&nbsp;|&nbsp;
	<?php echo _e('Editor','flg'); ?> : <?php echo get_post_meta($id,'flg_editor',true); ?>&nbsp;|&nbsp;
	<?php echo _e('Licence','flg'); ?> : <?php echo get_post_meta($id,'flg_licence',true); ?><br />
	<?php echo _e('OS supported','flg'); ?> : <?php echo get_post_meta($id,'flg_os',true); ?><br />
	<?php echo _e('Release date','flg'); ?> : <?php echo get_post_meta($id,'flg_release_date',true); ?>&nbsp;|&nbsp;
	<?php echo _e('Downloaded','flg'); ?> : <?php echo get_post_meta($id,'flg_download_count',true); ?><br />
	<a class="btn" target="_blank" href="<?php echo get_bloginfo('wpurl'); ?>/wp-content/plugins/flg/down.php?soft_id=<?php echo $id; ?>"><?php echo _e('download','flg'); ?></a>
<?php
	}

}
